com.holonplatform.vaadin7.components

## Enum ItemListing.ColumnAlignment

- java.lang.Object
- - java.lang.Enum<ItemListing.ColumnAlignment>
  - - com.holonplatform.vaadin7.components.ItemListing.ColumnAlignment

- All Implemented Interfaces:
    Serializable, Comparable<ItemListing.ColumnAlignment>
  Enclosing interface:
    ItemListing<T,P>

      public static enum ItemListing.ColumnAlignment
      extends Enum<ItemListing.ColumnAlignment>

  Enumeration of column content alignment options

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` Centered column content
    `LEFT` Left aligned column content
    `RIGHT` Right aligned column content

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemListing.ColumnAlignment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ItemListing.ColumnAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final ItemListing.ColumnAlignment LEFT

      Left aligned column content

    - #### CENTER

          public static final ItemListing.ColumnAlignment CENTER

      Centered column content

    - #### RIGHT

          public static final ItemListing.ColumnAlignment RIGHT

      Right aligned column content

  - ### Method Detail

    - #### values

          public static ItemListing.ColumnAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemListing.ColumnAlignment c : ItemListing.ColumnAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemListing.ColumnAlignment valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.